filterSolution.BigBang {galgo} | R Documentation

## Filters solutions

### Description

Filters solutions.

### Usage

    ## S3 method for class 'BigBang'
    filterSolution(o, filter=c("none", "solutions", "nosolutions"), subset, ...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable).

### Value

Returns a logical vector indicating which chromosomes are valid for the given filter.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:
       ok <- filterSolution(bb, filter="solutions", subset=1:100)
       sum(ok)

    ## End(Not run)

[Package galgo version 1.4 Index]